<template>
  <el-dialog v-model="Shows"  title="新建目标设定" width="50%" draggable>
    <el-form :model="form" label-width="120px">
      <el-row>
        <el-col :span="11">
          <el-form-item label="安全目标指标">
            <el-input v-model="form.name" />
          </el-form-item>
        </el-col>
        <el-col :span="11" :offset="2">
          <el-form-item label="目标指标编号">
            <el-input v-model="form.name" />
          </el-form-item>
        </el-col>
      </el-row>
      <el-row>
        <el-col :span="11">
          <el-form-item label="年度">
            <el-input v-model="form.name" />
          </el-form-item>
        </el-col>
        <el-col :span="11" :offset="2">
          <el-form-item label="指标值">
            <el-input v-model="form.name" />
          </el-form-item>
        </el-col>
      </el-row>
      <el-row>
        <el-col :span="11">
          <el-form-item label="指标级别">
            <el-select
              v-model="form.region"
              placeholder="please select your zone"
              style="width:100%"
            >
              <el-option label="Zone one" value="shanghai" />
              <el-option label="Zone two" value="beijing" />
            </el-select>
          </el-form-item>
        </el-col>
        <el-col :span="11" :offset="2">
          <el-form-item label="完成期限">
           <el-date-picker
            v-model="form.date1"
            type="date"
            placeholder="Pick a date"
            width="100%"
          />
          </el-form-item>
        </el-col>
      </el-row>
      <el-form-item label="备注信息">
        <el-input v-model="form.desc" type="textarea" />
      </el-form-item>
    </el-form>
    <template #footer>
      <span class="dialog-footer">
        <el-button @click="Shows = false" size="default">关闭</el-button>
        <el-button type="primary" @click="Shows = false" size="default"
          >确定</el-button
        >
      </span>
    </template>
  </el-dialog>
</template>
<script lang="ts">
import { ref, toRefs, reactive, onMounted,watch,defineComponent } from "vue";
import {
  ElMessageBox,
  ElMessage,
  ElButton,
  ElInput,
  TabsPaneContext,
  FormInstance,
} from "element-plus";
export default defineComponent({
  setup(props) {
    let Shows=ref(false)
    const form = reactive({
      name: "",
      region: "",
      date1: "",
      date2: "",
      delivery: false,
      type: [],
      resource: "",
      desc: "",
    })
    // 打开弹窗
    	const openDialog = (type:string,value:any,projectList: any,projectId:string) => {
          Shows.value=true
      }
    return {
      openDialog,
      Shows,
      form,
    };
  },
});
</script>
<style scoped>
  .el-row{
    padding:0 0 20px 0;
  }
</style>